Referência de APIMembers
List referrals made by a member
Retrieve the list of referrals made by a specific member, identified by email.
Retrieve the list of referrals made by a specific member, identified by email.
Authorization
ApiKeyAuth X-API-Key<token>
API key authentication. Pass your API key via the X-API-Key header. Alternatively, you can use Authorization: Bearer {key}.
In: header
Query Parameters
email*string
Member email address
Format
emailResponse Body
application/json
application/json
application/json
curl -X GET "https://api-base.rafo.work/api/v1/member/referrals?email=customer%40example.com"{
"data": {
"memberId": "550e8400-e29b-41d4-a716-446655440000",
"referrals": [
{
"id": "660e8400-e29b-41d4-a716-446655440001",
"refereeName": "Maria",
"refereeEmail": "maria@example.com",
"orderAmount": 20000,
"rewardAmount": 2000,
"status": "approved",
"couponUsed": "NUT-JOAOS-A7B3C",
"createdAt": "2026-01-15T10:30:00Z"
}
]
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or missing API key"
}
}{
"error": {
"code": "MEMBER_NOT_FOUND",
"message": "Member not found"
}
}